Employee: exercise_03_14.o Employee.o .gitignore
	g++ exercise_03_14.o Employee.o  -o Employee

exercise_03_14.ii: exercise_03_14.cpp Employee.hpp
	g++ -E exercise_03_14.cpp -o exercise_03_14.ii

Employee.ii: Employee.cpp Employee.hpp
	g++ -E Employee.cpp -o Employee.ii

exercise_03_14.s: exercise_03_14.ii
	g++ -S exercise_03_14.ii  -o exercise_03_14.s

Employee.s: Employee.ii
	g++ -S Employee.ii  -o Employee.s

exercise_03_14.o: exercise_03_14.s
	g++ -c exercise_03_14.s   -o exercise_03_14.o

Employee.o: Employee.s
	g++ -c Employee.s   -o Employee.o

.gitignore:
	echo Employee > .gitignore

clean:
	rm -f *.ii *.s *.o *.out Employee .gitignore

test1: Employee
	./Employee.exe < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: main.ii main.s
.SECONDARY: main.ii main.s
